This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 21504 - Alternative/easier method to choose files to commit to CVS
Summary: Alternative/easier method to choose files to commit to CVS
Status: RESOLVED FIXED
Alias: None
Product: versioncontrol
Classification: Unclassified
Component: CVS (show other bugs)
Version: -FFJ-
Hardware: PC Windows 3.1/NT
: P3 blocker (vote)
Assignee: issues@versioncontrol
URL:
Keywords: UI
Depends on:
Blocks: 35640
  Show dependency tree
 
Reported: 2002-03-12 17:26 UTC by Andriy Rozeluk
Modified: 2007-01-04 17:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
List of files gathered for commit selection (by running cvs status on tree) (212.50 KB, image/jpeg)
2002-03-12 18:10 UTC, Andriy Rozeluk
Details
selecting a file and clicking 'diff' tab shows diff from repository to local version (171.27 KB, image/jpeg)
2002-03-12 18:11 UTC, Andriy Rozeluk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Rozeluk 2002-03-12 17:26:32 UTC
This idea was borrowed from my use of JBuilder Enterprise. I've recently 
switched to FFJ from JBuilder because of lack of support for JDK1.4, but I miss 
one feature relating to version control which I consider to be rather 
important, which also made my life much easier when committing files.

This is, in JBuilder I can choose to do a commit on the entire project. The 
difference between this and committing a tree in FFJ is that JBuilder will do a 
quick 'cvs status' for the whole project to find out what the changes are.

After it does this, it pops up a dialog with the list of changed files (paths), 
their status (changed local, changed on server, locally added etc) and allows 
me to check which files I want to commit or not. Of course there's the 
usual 'notes' I can type in.

Basically, it's a lazy man's one-stop commit shop. It helps me find the files I 
need to commit without making me go look for them. Obviously it takes a couple 
of seconds to compile the list, but visually it helps me a lot to both find out 
what's being committed and what's still outstanding.

This doesn't have to be necessarily at the project level, though. I'd love it 
equally if I can right-click in the Explorer and have this sort of feature for 
any part of the tree I wish. That'd be even better.

If you do not have access to JBuilder Enterprise (in my case, version 4), 
contact me and I can attach a screenshot of what I'm talking about to help you 
understand what I'm looking for. I think you might like it too.

Thanks!
Comment 1 Andriy Rozeluk 2002-03-12 18:10:36 UTC
Created attachment 5039 [details]
List of files gathered for commit selection (by running cvs status on tree)
Comment 2 Andriy Rozeluk 2002-03-12 18:11:42 UTC
Created attachment 5040 [details]
selecting a file and clicking 'diff' tab shows diff from repository to local version
Comment 3 Filip Rachunek 2002-04-30 15:52:15 UTC
UI keyword added.
Comment 4 Marek Grummich 2002-07-22 11:53:38 UTC
Set target milestone to TBD
Comment 5 Maros Sandor 2005-05-03 15:42:38 UTC
Moving to CVSlite.
Comment 6 Maros Sandor 2005-05-03 15:44:08 UTC
Fixed by introduction of Versioning view.